curl --request GET \
--url https://api.syntage.com/invoices/relations/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/invoices/relations/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/invoices/relations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@id": "/invoices/relations/93a197e7-6baa-5dc5-bf8d-fb1645a770c1",
"@type": "InvoiceRelation",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": 7,
"invoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve an invoice relation
Retrieve an invoice relation by ID, including the source invoice, related invoice, related invoice UUID, and SAT relation type.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Invoice relation response
Invoice Relation IRI reference
"/invoices/relations/93a197e7-6baa-5dc5-bf8d-fb1645a770c1"
Invoice relation ID
"91106968-1abd-4d64-85c1-4e73d96fb997"
Invoice relation type code from the c_TipoRelacion catalog
1, 2, 3, 4, 5, 6, 7, 8, 9 7
Invoice IRI reference
"/invoices/92106967-2abd-5d64-95c2-4e73d96fb998"
Invoice IRI reference
"/invoices/92106967-2abd-5d64-95c2-4e73d96fb998"
The related Invoice UUID (Folio fiscal)
"def404af-5eef-4112-aa99-d1ec8493b89a"
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Was this page helpful?